Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire

# Class AsyncFetchStatus.Pending

java.lang.Object
org.firebirdsql.gds.ng.wire.AsyncFetchStatus.Pending

All Implemented Interfaces:
  `AsyncFetchStatus`

Direct Known Subclasses:
  `AsyncFetchStatus.CompletedWithException`

Enclosing interface:
  AsyncFetchStatus

public static sealed class AsyncFetchStatus.Pending extends Object implements AsyncFetchStatus permits AsyncFetchStatus.CompletedWithException
Signals an async fetch pending.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.AsyncFetchStatus

`AsyncFetchStatus.CompletedWithException, AsyncFetchStatus.NonePending, AsyncFetchStatus.Pending`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`isPending()`
Is this a status signalling an async fetch is pending (which includes having completed with an exception).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.ng.wire.AsyncFetchStatus

`exception`

## Method Details

### isPending

public final boolean isPending()
Description copied from interface: `AsyncFetchStatus`
Is this a status signalling an async fetch is pending (which includes having completed with an exception).

Specified by:
  `isPending` in interface `AsyncFetchStatus`
Returns:
  `true` if this status is pending